#
# spec file for package clusterssh
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           clusterssh
Version:        4.02.01
Release:        10.1
%define modname App-ClusterSSH
%define dullver 4.02_01
Summary:        Multiplex SSH sessions onto many hosts using multiple terminals
License:        GPL-1.0+ or Artistic-1.0
Group:          Productivity/Networking/SSH
Url:            http://clusterssh.sf.net/

#Git-Clone:	git://clusterssh.git.sf.net/gitroot/clusterssh/clusterssh
Source:         http://downloads.sf.net/clusterssh/App-ClusterSSH-4.02_01.tar.gz
Source2:        %name-rpmlintrc
Patch1:         remove-time-key.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
BuildRequires:  fdupes
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::MakeMaker)
%perl_requires
Requires:       perl(Carp)
Requires:       perl(English)
Requires:       perl(Exception::Class)
Requires:       perl(Fcntl)
Requires:       perl(File::Basename)
Requires:       perl(File::Temp)
Requires:       perl(File::Which)
Requires:       perl(FindBin)
Requires:       perl(Getopt::Long)
Requires:       perl(Locale::Maketext)
Requires:       perl(Net::hostent)
Requires:       perl(POSIX)
Requires:       perl(Pod::Usage)
Requires:       perl(Readonly)
Requires:       perl(Socket)
Requires:       perl(Sys::Hostname)
Requires:       perl(Tk)
Requires:       perl(Tk::ROText)
Requires:       perl(Tk::Xlib)
Requires:       perl(Try::Tiny)
Requires:       perl(X11::Keysyms)
Requires:       perl(X11::Protocol)
Requires:       perl(X11::Protocol::Constants)

%description
Cluster SSH opens terminal windows with connections to specified
hosts and an administration console. Any text typed into the
administration console is replicated to all other connected and
active windows. This tool is intended for, but not limited to,
cluster administration where the same configuration or commands must
be run on each node within the cluster. Performing these commands all
at once via this tool ensures all nodes are kept in sync.

%prep
%setup -qn %modname-%dullver
%patch -P 1 -p1

%build
perl Makefile.PL;
make %{?_smp_mflags};

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist
%fdupes %buildroot

%files -f %name.files
%defattr(-,root,root)
%_bindir/c*

%changelog
* Wed Jan 27 2016 darin@darins.net
- Added patch remove-time-key.patch, which resolves the issue where
  windows become unmoveable after executing cssh in KDE5.
  See for bnc#956316 and https://github.com/duncs/clusterssh/issues/46
* Fri Jun 28 2013 jengelh@inai.de
- Update to new upstream release 4.02.01
  * New option (-m, --unique-servers) to remove repeated servers when
  opening terminals
* Sun Mar  3 2013 jengelh@inai.de
- Update to new upstream release 4.01.03
  * Allow the path to rsh/ssh/telnet to be defined in the
  configuration file
  * Move .csshrc to .csshrc.DISABLED since it should no longer be used
  * Resolve error emitted when adding a host via the "Hosts" drop-down
  * Resolve paste using a strange keyboard layout
  * Cope with being invoked by "clusterssh"
  * Remove doc references to "always_tile" (is known as "window_tiling")
  * Updated manpage whatis entries
  * Fix cssh starting if xterm is not installed
  * Set WM_CLASS on windows to "cssh"
* Tue Nov 27 2012 cfarrell@suse.com
- license update: GPL-1.0+ or Artistic-1.0
  See README
* Thu Oct 25 2012 jengelh@inai.de
- Initial package for build.opensuse.org (4.01.01)
